Cantera 2.6.0

Namespaces | Functions | Variables
BasisOptimize.cpp File Reference

Functions which calculation optimized basis of the stoichiometric coefficient matrix (see /ref equil functions) More...

`#include "cantera/equil/MultiPhase.h"`
`#include "cantera/base/utilities.h"`
`#include "cantera/base/global.h"`
Include dependency graph for BasisOptimize.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
size_t | BasisOptimize (int *usedZeroedSpecies, bool doFormRxn, MultiPhase *mphase, std::vector< size_t > &orderVectorSpecies, std::vector< size_t > &orderVectorElements, vector_fp &formRxnMatrix)
| Choose the optimum basis of species for the equilibrium calculations. More...
void | ElemRearrange (size_t nComponents, const vector_fp &elementAbundances, MultiPhase *mphase, std::vector< size_t > &orderVectorSpecies, std::vector< size_t > &orderVectorElements)
| Handles the potential rearrangement of the constraint equations represented by the Formula Matrix. More...

## Variables
int | BasisOptimize_print_lvl = 0
| External int that is used to turn on debug printing for the BasisOptimize program. More...
static const double | USEDBEFORE = -1

## Detailed Description

Functions which calculation optimized basis of the stoichiometric coefficient matrix (see /ref equil functions)

Definition in file BasisOptimize.cpp.